function dispPPH(xd)

global kappa c rN rR rI ctax
xv1=xd(1:4); xv2=xd(5:8);
d1=xd(9)*100; d2=xd(10)*100;
%
[effv1,tv1,socUS06v1]=metafunc(xv1);
sAERv1=kappa*xv1(3)*1000*xv1(4)*effv1.CD;
cENG1 = 17.8*(57*xv1(1))+650;
cMTR1 = 26.6*(52*xv1(2))+520;
cBAT1 = c.LiIon*kappa*(xv1(3)*1000);
cphev1= c.BASE+cENG1+cMTR1+cBAT1;
%
[effv2,tv2,socUS06v2]=metafunc(xv2);
sAERv2=kappa*xv2(3)*1000*xv2(4)*effv2.CD;
cENG2 = 17.8*(57*xv2(1))+650;
cMTR2 = 26.6*(52*xv2(2))+520;
cBAT2 = c.LiIon*kappa*(xv2(3)*1000);
cphev2=c.BASE+cENG2+cMTR2+cBAT2;
%
[costTOT,costVEH1,costVEH2,costVEH3] = calcostPPH(xd);
%
        disp('------------------------------------------');
disp(sprintf('  Li-ion battery cost = %0.0f $/kWh',c.LiIon ));
disp(sprintf('    NiMH battery cost = %0.0f $/kWh',c.NiMH ));
disp(sprintf('       Gasoline price = %0.2f $/gal',c.gas ));
disp(sprintf('    Electricity price = %0.4f $/kWh',c.elec ));
disp(sprintf('           carbon tax = %0.0f $/ton',ctax*1000'));
disp(sprintf('Nominal discount rate = %-0.1f%%',rN*100 ));
disp(sprintf('   Real discount rate = %-0.1f%%',rR*100 ));
disp(sprintf('       Inflation rate = %-0.1f%%',rI*100 ));
        disp('------------------------------------------');
%        
        disp('---- VEH#1 = PHEV: design solutions ----');        
disp(sprintf('     PHEV AER = %0.4f miles', sAERv1 ));
disp(sprintf('       Engine size x1 = %0.4f (%-0.1f kW)',xv1(1),xv1(1)*57 ));
disp(sprintf('        Motor size x2 = %0.4f (%-0.1f kW)',xv1(2),xv1(2)*52 ));
disp(sprintf('      Battery size x3 = %0.4f (%-0.0f cells)',xv1(3),xv1(3)*1000 ));
disp(sprintf('      Design swing x4 = %0.4f',xv1(4) ));
disp(sprintf('   PHEV efficiency CD = %0.3f mile/kWh', effv1.CD));
disp(sprintf('   PHEV efficiency CS = %0.2f mile/gal', effv1.CS));
disp(sprintf(' Acceleration 0-60 CD = %0.2f secs', tv1.CD ));
disp(sprintf(' Acceleration 0-60 CS = %0.2f secs', tv1.CS ));
disp(sprintf('     SOC after 4 US06 = %0.3f', socUS06v1 ));
disp(sprintf('     Battery capacity = %0.2f kWH', kappa*(xv1(3)*1000) ));
disp(sprintf('         Vehicle cost = %0.2f ',cphev1  ));
disp(sprintf('    VEH#1 cost total = %0.6f dollars',costVEH1));
        disp('---------------------------------------');
        disp('---- VEH#2 = PHEV: design solutions ----');        
disp(sprintf('     PHEV AER = %0.4f miles', sAERv2 ));
disp(sprintf('       Engine size x1 = %0.4f (%-0.1f kW)',xv2(1),xv2(1)*57 ));
disp(sprintf('        Motor size x2 = %0.4f (%-0.1f kW)',xv2(2),xv2(2)*52 ));
disp(sprintf('      Battery size x3 = %0.4f (%-0.0f cells)',xv2(3),xv2(3)*1000 ));
disp(sprintf('      Design swing x4 = %0.4f',xv2(4) ));
disp(sprintf('   PHEV efficiency CD = %0.3f mile/kWh', effv2.CD));
disp(sprintf('   PHEV efficiency CS = %0.2f mile/gal', effv2.CS));
disp(sprintf(' Acceleration 0-60 CD = %0.2f secs', tv2.CD ));
disp(sprintf(' Acceleration 0-60 CS = %0.2f secs', tv2.CS ));
disp(sprintf('     SOC after 4 US06 = %0.3f', socUS06v2 ));
disp(sprintf('     Battery capacity = %0.2f kWH', kappa*(xv2(3)*1000) ));
disp(sprintf('         Vehicle cost = %0.2f ',cphev2  ));
disp(sprintf('    VEH#2 cost total = %0.6f dollars',costVEH2));
        disp('---------------------------------------');
        disp('------------- VEH#3 = HEV ---------------');
disp(sprintf('     VEH#3 cost total = %0.6f dollars',costVEH3));
        disp('----------------------------------------');
disp(sprintf('   Cutoff-distance d1 = %0.3f miles',d1));
disp(sprintf('   Cutoff-distance d2 = %0.3f miles',d2));
disp(sprintf('   Total cost = $%0.6f',costTOT ));
        disp('---------------------------------------');