function [ghgsday,vOP,vVEHday,vBATday,BVP]=getghgsPHEV(x,ds)

global BATAS BATEOL BATDR VEHLIFE D
global v sLIFE kappa effCHG alpha effBAT

% Coefficient in Rosenkranz DOD-based degradation model
b1=1449.26; b2=1.4611;
%
[eff,t60,socUS06,mu]=metafunc(x);
sAER=kappa*(x(3)*1000)*x(4)*eff.CD;
%
vVEH = v.BASE;
vBAT = v.LiIon*(x(3)*1000)*kappa;
%
sE=(ds<=sAER).*ds+(ds>sAER).*sAER; % distance travelled on eletricity
sG= (ds>sAER).*(ds-sAER); % distance traveled on gasoline

%
if BATEOL=='S', % rEOL = 1 - swing
    rEOL=(1-x(4));
elseif BATEOL=='2', % rEOL = fixed 20% capacity fade
    rEOL=0.20;
end

% Buy-lease cutoff point sT
% sT = sLIFE*sAER*(alpha.DRV*mu.CD+alpha.CHG/eff.CD-alpha.DRV*mu.CS) ...
%      / ( rEOL*(1000*x(3))*kappa - alpha.DRV*mu.CS*sLIFE );

if BATDR=='P',  % Peterson's A123 battery degradation model
    % mu.CD and mu.CS (unit: kWh) energy processed for one UDDS cycle
    wDRV=(sE.*mu.CD+sG.*mu.CS)/(x(3)*1000); % kWh processed on driving  per cell per day
    wCHG=(sE./eff.CD/effBAT)/(x(3)*1000);   % kWh processed on charging per cell per day
    % Peterson's model shows that total energy processed for one A123 cell
    % divided by 21.6 Wh for normalization per original Wh 
    thetaBAT=rEOL./((alpha.DRV.*wDRV+alpha.CHG.*wCHG)/kappa);
elseif BATDR=='R',  % Rosenkrantz's VARTA data curve
    DOD=sE./(kappa*(1000*x(3))*eff.CD);  % DOD
    thetaBAT=b1.*DOD.^(-b2);
end

if VEHLIFE=='M', % constant life mileage (150,000 miles)	
	thetaVEH = sLIFE./ds;
	T = thetaVEH/D;
elseif VEHLIFE=='Y',
    T=yLIFE;
	thetaVEH=T*D;
end	
B = thetaBAT/D;

% Penalty term for vehicle life greater than battery life
BVP=sum((T>B).*(T-B).^2);
%
thetaVEH = sLIFE./ds;
vBATbuy  =vBAT./thetaVEH;
vBATlease=vBAT./thetaBAT;
vBATbuylease=(thetaVEH<=thetaBAT).*vBATbuy + ...
             (thetaVEH> thetaBAT).*vBATlease;
if BATAS=='L', % lease
    vBATday=vBATlease;
elseif BATAS=='1', % buy-lease (at lease one battery required)
    vBATday=vBATbuylease;
end

% PHEV GHG emmissions calculations (CO2 kg per mile)
% Note: 88% battery charging efficiency and 9% grid transmission loss
% For the parts of ds <= AER (CD mode)
% For the parts of ds >  AER (CS mode)
vOP= v.elec/effCHG/eff.CD*(ds<=sAER).*ds + ... 
    (ds>sAER).*(v.elec/effCHG/eff.CD*sAER+v.gas/eff.CS*(ds-sAER));
% average lifetime ghgs per day
vVEHday=vVEH./thetaVEH;
ghgsday=vOP+vVEHday+vBATday; % unit: kg-CO2-eq per day